Package com.databricks.jdbc.model.client.thrift.generated

## Class TOperationHandle

- java.lang.Object
- - com.databricks.jdbc.model.client.thrift.generated.TOperationHandle

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TOperationHandle>`, `org.apache.thrift.TBase<TOperationHandle,​TOperationHandle._Fields>`, `org.apache.thrift.TSerializable`

    @Generated(value="Autogenerated by Thrift Compiler (0.19.0)",
               date="2024-10-09")
    public class TOperationHandle
    extends Object
    implements org.apache.thrift.TBase<TOperationHandle,​TOperationHandle._Fields>, Serializable, Cloneable, Comparable<TOperationHandle>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TOperationHandle._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`boolean` `hasResultSet`
`static Map<TOperationHandle._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`double` `modifiedRowCount`
`THandleIdentifier` `operationId`
`TOperationType` `operationType`

### Constructor Summary

Constructors
`TOperationHandle()`
`TOperationHandle​(THandleIdentifier operationId, TOperationType operationType, boolean hasResultSet)`
`TOperationHandle​(TOperationHandle other)` Performs a deep copy on other.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`int` `compareTo​(TOperationHandle other)`
`TOperationHandle` `deepCopy()`
`boolean` `equals​(TOperationHandle that)`
`boolean` `equals​(Object that)`
`TOperationHandle._Fields` `fieldForId​(int fieldId)`
`Object` `getFieldValue​(TOperationHandle._Fields field)`
`double` `getModifiedRowCount()`
`THandleIdentifier` `getOperationId()`
`TOperationType` `getOperationType()`
`int` `hashCode()`
`boolean` `isHasResultSet()`
`boolean` `isSet​(TOperationHandle._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetHasResultSet()` Returns true if field hasResultSet is set (has been assigned a value) and false otherwise
`boolean` `isSetModifiedRowCount()` Returns true if field modifiedRowCount is set (has been assigned a value) and false otherwise
`boolean` `isSetOperationId()` Returns true if field operationId is set (has been assigned a value) and false otherwise
`boolean` `isSetOperationType()` Returns true if field operationType is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`void` `setFieldValue​(TOperationHandle._Fields field, Object value)`
`TOperationHandle` `setHasResultSet​(boolean hasResultSet)`
`void` `setHasResultSetIsSet​(boolean value)`
`TOperationHandle` `setModifiedRowCount​(double modifiedRowCount)`
`void` `setModifiedRowCountIsSet​(boolean value)`
`TOperationHandle` `setOperationId​(THandleIdentifier operationId)`
`void` `setOperationIdIsSet​(boolean value)`
`TOperationHandle` `setOperationType​(TOperationType operationType)`
`void` `setOperationTypeIsSet​(boolean value)`
`String` `toString()`
`void` `unsetHasResultSet()`
`void` `unsetModifiedRowCount()`
`void` `unsetOperationId()`
`void` `unsetOperationType()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### operationId

    public THandleIdentifier operationId

#### operationType

    public TOperationType operationType

See Also:
  `TOperationType`

#### hasResultSet

    public boolean hasResultSet

#### modifiedRowCount

    public double modifiedRowCount

#### metaDataMap

    public static final Map<TOperationHandle._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TOperationHandle

    public TOperationHandle()

#### TOperationHandle

    public TOperationHandle​(THandleIdentifier operationId,
                            TOperationType operationType,
                            boolean hasResultSet)

#### TOperationHandle

    public TOperationHandle​(TOperationHandle other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TOperationHandle deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TOperationHandle,​TOperationHandle._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TOperationHandle,​TOperationHandle._Fields>`

#### getOperationId

    public THandleIdentifier getOperationId()

#### setOperationId

    public TOperationHandle setOperationId​(THandleIdentifier operationId)

#### unsetOperationId

    public void unsetOperationId()

#### isSetOperationId

    public boolean isSetOperationId()

Returns true if field operationId is set (has been assigned a value) and false otherwise

#### setOperationIdIsSet

    public void setOperationIdIsSet​(boolean value)

#### getOperationType

    public TOperationType getOperationType()

See Also:
  `TOperationType`

#### setOperationType

    public TOperationHandle setOperationType​(TOperationType operationType)

See Also:
  `TOperationType`

#### unsetOperationType

    public void unsetOperationType()

#### isSetOperationType

    public boolean isSetOperationType()

Returns true if field operationType is set (has been assigned a value) and false otherwise

#### setOperationTypeIsSet

    public void setOperationTypeIsSet​(boolean value)

#### isHasResultSet

    public boolean isHasResultSet()

#### setHasResultSet

    public TOperationHandle setHasResultSet​(boolean hasResultSet)

#### unsetHasResultSet

    public void unsetHasResultSet()

#### isSetHasResultSet

    public boolean isSetHasResultSet()

Returns true if field hasResultSet is set (has been assigned a value) and false otherwise

#### setHasResultSetIsSet

    public void setHasResultSetIsSet​(boolean value)

#### getModifiedRowCount

    public double getModifiedRowCount()

#### setModifiedRowCount

    public TOperationHandle setModifiedRowCount​(double modifiedRowCount)

#### unsetModifiedRowCount

    public void unsetModifiedRowCount()

#### isSetModifiedRowCount

    public boolean isSetModifiedRowCount()

Returns true if field modifiedRowCount is set (has been assigned a value) and false otherwise

#### setModifiedRowCountIsSet

    public void setModifiedRowCountIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TOperationHandle._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TOperationHandle,​TOperationHandle._Fields>`

#### getFieldValue

    public Object getFieldValue​(TOperationHandle._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TOperationHandle,​TOperationHandle._Fields>`

#### isSet

    public boolean isSet​(TOperationHandle._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TOperationHandle,​TOperationHandle._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TOperationHandle that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TOperationHandle other)

Specified by:
  `compareTo` in interface `Comparable<TOperationHandle>`

#### fieldForId

    public TOperationHandle._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TOperationHandle,​TOperationHandle._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`